From ec6a548ee3555813d83f86f82bd25694bfd9c303 Mon Sep 17 00:00:00 2001
From: Gustav Simonsson <gustav.simonsson@gmail.com>
Date: Fri, 12 Jun 2015 07:45:23 +0200
Subject: all: Add GPU mining, disabled by default

---
 build/flags.sh   | 22 ++++++++++++++++++++++
 build/ldflags.sh | 18 ------------------
 2 files changed, 22 insertions(+), 18 deletions(-)
 create mode 100755 build/flags.sh
 delete mode 100755 build/ldflags.sh

(limited to 'build')

diff --git a/build/flags.sh b/build/flags.sh
new file mode 100755
index 000000000..e021dbad4
--- /dev/null
+++ b/build/flags.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -f "build/env.sh" ]; then
+    echo "$0 must be run from the root of the repository."
+    exit 2
+fi
+
+# Since Go 1.5, the separator char for link time assignments
+# is '=' and using ' ' prints a warning. However, Go < 1.5 does
+# not support using '='.
+sep=$(go version | awk '{ if ($3 >= "go1.5" || index($3, "devel")) print "="; else print " "; }' -)
+
+# set gitCommit when running from a Git checkout.
+if [ -f ".git/HEAD" ]; then
+    echo "-ldflags '-X main.gitCommit$sep$(git rev-parse HEAD)'"
+fi
+
+if [ ! -z "$GO_OPENCL" ]; then
+   echo "-tags opencl"
+fi
diff --git a/build/ldflags.sh b/build/ldflags.sh
deleted file mode 100755
index 3f055d416..000000000
--- a/build/ldflags.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-set -e
-
-if [ ! -f "build/env.sh" ]; then
-    echo "$0 must be run from the root of the repository."
-    exit 2
-fi
-
-# Since Go 1.5, the separator char for link time assignments
-# is '=' and using ' ' prints a warning. However, Go < 1.5 does
-# not support using '='.
-sep=$(go version | awk '{ if ($3 >= "go1.5" || index($3, "devel")) print "="; else print " "; }' -)
-
-# set gitCommit when running from a Git checkout.
-if [ -f ".git/HEAD" ]; then
-    echo "-ldflags '-X main.gitCommit$sep$(git rev-parse HEAD)'"
-fi
-- 
cgit v1.2.3